import os
import matplotlib.pyplot as plt
results = {}

def errorfill(x, y, yerr, color=None, alpha_fill=0.3, ax=None):
    ax = ax if ax is not None else plt.gca()
    if color is None:
        color = ax._get_lines.color_cycle.next()
    ymin, ymax = yerr
    ax.plot(x, y, color=color)
    ax.fill_between(x, ymax, ymin, color=color, alpha=alpha_fill)




from res import *

errorfill(axis[0], resu[0], resu_bars[0])
errorfill(axis[0], resu[1], resu_bars[1])
errorfill(axis[2], resu[2], resu_bars[2])

plt.show()
